apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: kibana-prod-credentials
  namespace: monitoring
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: vault-internal-users
    kind: ClusterSecretStore
  target:
    name: kibana-prod-credentials
    creationPolicy: Owner
  data:
    - secretKey: username
      remoteRef:
        key: internal-users/kibana-credentials
        property: kibana-prod-username
    - secretKey: password
      remoteRef:
        key: internal-users/kibana-credentials
        property: kibana-prod-password
